<?php
// -----------------------------------------------------------------------
//
// $Id: comments.php 103 2012-03-22 10:47:07Z raoul $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['ADMIN_COMMENTS_TITLE']);

// Administrator ?
if ($users['user_level'] < 4)
{
    error_template($lang['ADMIN_LEVEL_ERROR']);
}
else
{
    // Edit ?
    if (isset($_POST['edit_comment']))
    {
        $error = '';
        if (!trim($_POST['comment_subject']))
        {
            $error .= $lang['NO_COMMENT_SUBJECT'];
        }
        if (!trim($_POST['comment_text']))
        {
            $error .= $lang['NO_COMMENT_TEXT'];
        }
        if ($error)
        {
            error_template($error);
        }
        else
        {
            if ($settings['allow_html'] == 0)
            {
                $comment_text = chars2entities($_POST['comment_text'], ENT_QUOTES);
            }
            else
            {
                $comment_text = do_html($_POST['comment_text']);
            }
            $comment_text = make_clickable($comment_text);
            $comment_text = do_bbcodes($comment_text);
            if ($settings['allow_smilies'] == 1)
            {
                $comment_text = do_smilies($comment_text);
            }
            $sql->query('SELECT comment_id
                         FROM ' . TABLE_COMMENTS . '
                         WHERE story_id = \'' . $_POST['story_id'] . '\'');
            $num_comments = $sql->num_rows();
            if ($num_comments != 1)
            {
                $sql->query('UPDATE ' . TABLE_COMMENTS . '
                             SET comment_subject = \'' . chars2entities($_POST['comment_subject'], ENT_QUOTES) . '\'
                             WHERE story_id = \'' . $_POST['story_id'] . '\'');
                $sql->query('UPDATE ' . TABLE_COMMENTS . '
                             SET comment_text = \'' . $comment_text . '\', comment_edition = \'' . time() . '\'
                             WHERE comment_id = \'' . $_POST['comment_id'] . '\'');
            }
            else
            {
                $sql->query('UPDATE ' . TABLE_COMMENTS . '
                             SET comment_subject = \'' . chars2entities($_POST['comment_subject'], ENT_QUOTES) . '\', comment_text = \'' . $comment_text . '\', comment_edition = \'' . time() . '\'
                             WHERE comment_id = \'' . $_POST['comment_id'] . '\'');
            }
            success_template($lang['ADMIN_COMMENTS_EDITED'], './../comments/index.php?news_id=' . $_POST['news_id'] . '&story_id=' . $_POST['story_id']);
        }
    }
    // Delete ?
    elseif (isset($_POST['delete_comment']))
    {
        // First comment in a story ?
        if ($_POST['story_id'] == $_POST['comment_id'])
        {
            $i = $comments_per_story = 0;
            $query = array();
            $sql->query('SELECT COUNT(*) AS comments_per_user, user_id
                         FROM ' . TABLE_COMMENTS . '
                         WHERE story_id = \'' . $_POST['story_id'] . '\'
                         GROUP BY user_id
                         ORDER BY user_id');
            while ($table_comments = $sql->fetch())
            {
                $comments_per_story += $table_comments['comments_per_user'];
                $query[$i] = 'UPDATE ' . TABLE_USERS . '
                              SET user_comments = user_comments - ' . $table_comments['comments_per_user'] . '
                              WHERE user_id = \'' . $table_comments['user_id'] . '\'';
                $i++;
            }
            for ($j = 0; $j < $i; $j++)
            {
                $sql->query($query[$j]);
            }
            $sql->query('UPDATE ' . TABLE_NEWS . '
                         SET news_comments = news_comments - ' . $comments_per_story . '
                         WHERE news_id = \'' . $_POST['news_id'] . '\'');
            $sql->query('DELETE FROM ' . TABLE_COMMENTS . '
                         WHERE story_id = \'' . $_POST['story_id'] . '\'');
        }
        // Other comment
        else
        {
            $sql->query('SELECT user_id
                         FROM ' . TABLE_COMMENTS . '
                         WHERE comment_id = \'' . $_POST['comment_id'] . '\'');
            $table_comments = $sql->fetch();
            $sql->query('UPDATE ' . TABLE_NEWS . '
                         SET news_comments = news_comments - 1
                         WHERE news_id = \'' . $_POST['news_id'] . '\'');
            $sql->query('UPDATE ' . TABLE_USERS . '
                         SET user_comments = user_comments - 1
                         WHERE user_id = \'' . $table_comments['user_id'] . '\'');
            $sql->query('DELETE FROM ' . TABLE_COMMENTS . '
                         WHERE comment_id = \'' . $_POST['comment_id'] . '\'');
        }
        // Redirect to news
        if ($_POST['story_id'] == $_POST['comment_id'])
        {
            success_template($lang['ADMIN_COMMENTS_DELETED'], './../comments/index.php?news_id=' . $_POST['news_id']);
        }
        // Redirect to story in news
        else
        {
            success_template($lang['ADMIN_COMMENTS_DELETED'], './../comments/index.php?news_id=' . $_POST['news_id'] . '&story_id=' . $_POST['story_id']);
        }
    }
    // Edit form
    else
    {
        // Check query
        if (!empty($_GET['comment_id']))
        {
            $sql->query('SELECT comment_subject, comment_text, news_id, story_id
                         FROM ' . TABLE_COMMENTS . '
                         WHERE comment_id = \'' . $_GET['comment_id'] . '\'');
            $table_comments = $sql->fetch();
            // Check comment
            if (!$table_comments['comment_subject'])
            {
                error_template($lang['ADMIN_QUERY_ERROR']);
            }
            else
            {
                if ($settings['allow_html'] == 0)
                {
                    $html_support = $lang['HTML_DISABLED'];
                }
                else
                {
                    $html_support = $lang['HTML_ENABLED'];
                }
                $comment_text = undo_smilies($table_comments['comment_text']);
                $comment_text = undo_bbcodes($comment_text);
                $template->set_file('admin', 'admin/comments/edit.htpl');
                $template->set_var(array('ADMIN_COMMENTS_HEADER' => $lang['ADMIN_COMMENTS_HEADER'],
                                         'BACK_ADMIN_ADVANCED' => $lang['BACK_ADMIN_ADVANCED'],
                                         'COMMENT_ID' => $_GET['comment_id'],
                                         'COMMENT_SUBJECT' => $table_comments['comment_subject'],
                                         'COMMENT_TEXT' => $comment_text,
                                         'DELETE' => $lang['DELETE'],
                                         'EDIT' => $lang['EDIT'],
                                         'FORM_COMMENT_SUBJECT' => $lang['FORM_COMMENT_SUBJECT'],
                                         'FORM_COMMENT_TEXT' => $lang['FORM_COMMENT_TEXT'],
                                         'HTML_SUPPORT' => $html_support,
                                         'NEWS_ID' => $table_comments['news_id'],
                                         'SMILIES_LIST' => get_smilies_list(0),
                                         'STORY_ID' => $table_comments['story_id']));
                $template->parse('admin');
            }
        }
        else
        {
            error_template($lang['ADMIN_QUERY_ERROR']);
        }
    }
}

page_footer();

?>