<?php
// -----------------------------------------------------------------------
//
// $Id: index.php 2 2012-01-24 17:39:30Z raoul $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['POLLS_INDEX_TITLE']);

// Create pages list
if (empty($_GET['page']))
{
    $_GET['page'] = 1;
}
$polls_per_page = $settings['polls_per_page'];
$polls_offset = ($_GET['page'] - 1) * $polls_per_page;
$sql->query('SELECT question_id
             FROM ' . TABLE_QUESTIONS);
$num_polls = $sql->num_rows();
$num_pages = ceil($num_polls / $polls_per_page);
$pages_list = get_pages_list('./../polls/index.php?', $num_pages);

$template->set_file('index', 'polls/index.htpl');
$template->set_block('index', 'QUESTIONS_BLOCK', 'questions');
$sql->query('SELECT question_id, question_text, question_votes
             FROM ' . TABLE_QUESTIONS . '
             ORDER BY question_id DESC
             LIMIT ' . $polls_offset . ', ' . $polls_per_page);
while ($table_questions = $sql->fetch())
{
    $template->set_var(array('QUESTION_ID' => $table_questions['question_id'],
                             'QUESTION_TEXT' => $table_questions['question_text'],
                             'QUESTION_VOTES' => sprintf($lang['POLLS_INDEX_VOTES'], $table_questions['question_votes'])));
    $template->parse('QUESTIONS_BLOCK', 'questions', true);
    $questions_exist = true;
}
if (isset($questions_exist))
{
    $template->set_var(array('BACK_HOME' => $lang['BACK_HOME'],
                             'POLLS_INDEX_HEADER' => $lang['POLLS_INDEX_HEADER'],
                             'POLLS_INDEX_PAGES' => sprintf($lang['POLLS_INDEX_PAGES'], $pages_list)));
    $template->parse('index');
}
else
{
    error_template($lang['POLLS_INDEX_ERROR']);
}

page_footer();

?>