<?php
// -----------------------------------------------------------------------
//
// $Id: index.php 2 2012-01-24 17:39:30Z raoul $
//
// Copyright (C) 2003-2012 Raoul Proena
// License: GNU GPL version 3 (see copying.txt file)
// Website: http://www.gnew.fr/
//
// -----------------------------------------------------------------------
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// -----------------------------------------------------------------------

include('./../includes/common.php');

page_header($lang['POSTS_INDEX_TITLE']);

// Last ids, names and dates are allocated to categories
$creation_last = array();
$id_last = array();
$name_last = array();
$sql->query('SELECT ' . TABLE_POSTS . '.category_id, ' . TABLE_POSTS . '.post_creation, ' . TABLE_USERS . '.user_id, ' . TABLE_USERS . '.user_name
             FROM ' . TABLE_POSTS . ', ' . TABLE_USERS . '
             WHERE ' . TABLE_POSTS . '.user_id = ' . TABLE_USERS . '.user_id
             AND ' . TABLE_POSTS . '.post_creation
             IN (SELECT MAX(post_creation)
                 FROM ' . TABLE_POSTS . '
                 GROUP BY category_id)
             ORDER BY category_id');
while ($table_posts = $sql->fetch())
{
    $creation_last[$table_posts['category_id']] = $table_posts['post_creation'];
    $id_last[$table_posts['category_id']] = $table_posts['user_id'];
    $name_last[$table_posts['category_id']] = $table_posts['user_name'];
}

// Images are allocated to categories
$folder_image = array();
$sql->query('SELECT category_id, category_level
             FROM ' . TABLE_CATEGORIES . '
             WHERE category_level <> \'0\'');
while ($table_categories = $sql->fetch())
{
    // Private category ?
    if ($table_categories['category_level'] < 3)
    {
        $folder_image[$table_categories['category_id']] = './../images/posts/folder.png';
    }
    else
    {
        $folder_image[$table_categories['category_id']] = './../images/posts/private.png';
    }
}
// User logged ?
if ($_SESSION['user_id'] != 0)
{
    $sql->query('SELECT ' . TABLE_CATEGORIES . '.category_level, ' . TABLE_POSTS . '.category_id
                 FROM ' . TABLE_CATEGORIES . ', ' . TABLE_POSTS . '
                 WHERE ' . TABLE_CATEGORIES . '.category_id = ' . TABLE_POSTS . '.category_id
                 AND ' . TABLE_POSTS . '.post_creation > ' . $users['user_lastvisit']);
    while ($table_posts = $sql->fetch())
    {
        // Private category ?
        if ($table_posts['category_level'] < 3)
        {
            $folder_image[$table_posts['category_id']] = './../images/posts/folder_new.png';
        }
        else
        {
            $folder_image[$table_posts['category_id']] = './../images/posts/private_new.png';
        }
    }
}

$date_format = get_date_format();
$date_offset = get_date_offset();
$template->set_file('index', 'posts/index.htpl');
$template->set_block('index', 'CATEGORIES_BLOCK', 'categories');
$sql->query('SELECT category_id, category_name, category_posts, category_threads
             FROM ' . TABLE_CATEGORIES . '
             WHERE category_level <> \'0\'
             ORDER BY category_name');
while ($table_categories = $sql->fetch())
{
    // Post(s) in category ?
    if (array_key_exists($table_categories['category_id'], $creation_last))
    {
        $last_creation = date($date_format, ($creation_last[$table_categories['category_id']] + $date_offset));
        $last_id = $id_last[$table_categories['category_id']];
        $last_name = $name_last[$table_categories['category_id']];
    }
    else
    {
        $last_creation = $last_id = $last_name = '';
    }
    $template->set_var(array('CATEGORY_ID' => $table_categories['category_id'],
                             'CATEGORY_NAME' => $table_categories['category_name'],
                             'CATEGORY_POSTS' => $table_categories['category_posts'],
                             'CATEGORY_THREADS' => $table_categories['category_threads'],
                             'FOLDER_IMAGE' => $folder_image[$table_categories['category_id']],
                             'LAST_CREATION' => $last_creation,
                             'LAST_ID' => $last_id,
                             'LAST_NAME' => $last_name));
    $template->parse('CATEGORIES_BLOCK', 'categories', true);
    $categories_exist = true;
}

if (isset($categories_exist))
{
    $template->set_var(array('BACK_HOME' => $lang['BACK_HOME'],
                             'POSTS_INDEX_CATEGORIES' => $lang['POSTS_INDEX_CATEGORIES'],
                             'POSTS_INDEX_LAST_POST' => $lang['POSTS_INDEX_LAST_POST'],
                             'POSTS_INDEX_POSTS' => $lang['POSTS_INDEX_POSTS'],
                             'POSTS_INDEX_THREADS' => $lang['POSTS_INDEX_THREADS']));
    $template->parse('index');
}
else
{
    error_template($lang['POSTS_INDEX_ERROR']);
}

page_footer();

?>